<?php

namespace Routes;

require_once("resources/Personal/Personal.php");
require_once("subroutes/Fahrzeuge_Personal.php");
require_once("subroutes/Personal_Abteilungen.php");
require_once("subroutes/Personal_Gruppen.php");
require_once("subroutes/Personal_Lehrgaenge.php");
require_once("subroutes/Personal_Verwalter.php");
require_once("subroutes/Files.php");

class Personal extends Route
{
	use \Subroutes\Fahrzeuge_Personal;
	use \Subroutes\Personal_Abteilungen;
	use \Subroutes\Personal_Gruppen;
	use \Subroutes\Personal_Lehrgänge;
	use \Subroutes\Personal_Verwalter;
	use \subroutes\Files;
	
  protected static $resource = "Personal\\Personal";
  
  public static function Rights() {
  	return [
  		"" => ("\\Resources\\".self::$resource)::Rights()->Export(),
  		"Fahrzeuge" => \Links\Fahrzeuge_Einweisungen::Rights()->Export(),
//  		"Abteilungen" => \Links\Personal_Abteilungen::Rights()->Export(),
//  		"Gruppen" => \Links\Personal_Gruppen::Rights()->Export(),
//  		"Lehrgänge" => \Links\Personal_Lehrgänge::Rights()->Export(),
//  		"Verwalter" => \Links\Personal_Verwalter::Rights()->Export()
  	];
  }
}
